%define pypi_name publicsuffix2

Name:           python-%{pypi_name}
Version:        2.20191221
Release:        %mkrel 9
Summary:        Get a public suffix for a domain name using the Public Suffix List
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/publicsuffix2/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This module allows you to get the public suffix of a domain name using the
Public Suffix List from http://publicsuffix.org

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This module allows you to get the public suffix of a domain name using the
Public Suffix List from http://publicsuffix.org

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.20191221-9.mga10
+ Revision: 2238718
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.20191221-8.mga10
+ Revision: 2155553
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 2.20191221-7.mga10
+ Revision: 2017957
- rebuild for python3.12
- adapt to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 2.20191221-6.mga9
+ Revision: 1832180
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.20191221-5.mga9
+ Revision: 1783285
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.20191221-4.mga9
+ Revision: 1706232
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 2.20191221-3.mga8
+ Revision: 1608294
- rebuild for removing pythonegg buildrequires in srpm

* Wed Feb 19 2020 umeabot <umeabot> 2.20191221-2.mga8
+ Revision: 1544523
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 guillomovitch <guillomovitch> 2.20191221-1.mga8
+ Revision: 1483140
- new version 2.20191221

* Wed Oct 02 2019 guillomovitch <guillomovitch> 2.20190812-1.mga8
+ Revision: 1448946
- new version 20190812
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.20190205-1.mga8
+ Revision: 1417158
- imported package python-publicsuffix2

